% setdates
function [dts,dtsst]=setdates(y0,q0,yend,qend);

if q0==1;
qrt0='Jan';
elseif q0==2;
    qrt0='Apr';
elseif q0==3;
    qrt0='Jul';
elseif q0==4;
    
   qrt0='Dec';
end

if qend==1;
qrte='Jan';
elseif qend==2;
    qrte='Apr';
elseif qend==3;
    qrte='Jul';
elseif qend==4;
    
   qrte='Dec';
end

strt=datenum([qrt0,'-',num2str(y0)],'mmm-yyyy');
edt=datenum([qrte,'-',num2str(yend)],'mmm-yyyy');
%datenum('Dec-2001','mmm-yyyy')/datenum('Dec-2000','mmm-yyyy')
dts=[];
z=1;
dtsst=datestr(strt:90:edt,'QQ-yyyy');
extr=1;
while extr
for jj=strt:90:edt % 1.0002 is the qtoq factor
    
% datestr(1.0005^(yend-y0+1)*datenum([qrt0,num2str(y0)],'mmm-yyyy'),'QQ-yyyy')
dts(1,end+1)=jj;%(datenum([qrt0,'-',num2str(y0)],'mmm-yyyy'));
z=z+1;
end
dtsst=datestr(dts,'QQ-yyyy');
[a,b]=unique(str2cell(dtsst));
extr=size(dtsst,1)-size(a,1);
strt=edt+90;
edt=strt+90*extr;
dts=dts(:,sort(b));
end
% dts=dts(1:((yend+qend/4+.25)-(y0+q0/4))*4);
dtsst=datestr(dts,'QQ-yyyy');
% c=datestr(dts,'QQ-yyyy');
% [a,b]=find_incell(str2cell(c),'1979');length(b)